<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classVertexP.html#a814726329f65bb0db086b41e521e0d80">activate</a>()</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#ae1b0537605558932e0d0b37c943a5dd8">activeWithNoMessage</a></td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#aed3e52a8b910fb69eb2fb3b5dc355804">add_edge</a>(EdgeType &amp;x)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#a7cee60eb3a2149e2c0c8171d1948d9b4">add_edge</a>(ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a8d52a58a00fb99c18ea4b4878d99f50f">add_edge</a>(OUT_EDGE_BUF &amp;x)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#aa62d1bdeb2a5b1821ff14d7ac2104010">aggregateInfoPtr</a></td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a140eb4cb64824b855f7c0a355861c421">algData</a></td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#a37ff8508671d66188fff4e91f9547dcd">canReactivate</a>()</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexP.html#aa7ed5eb0c1d2c351bdc086d42a2684c7">compute</a>(MESSAGE_BUF_TYPE *pIn, LOCAL_MESSAGE_BUF *pOut, uint32 numMessages)</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#a42d96a975fbffe4000fb8cd46b5aa44b">flagActive</a></td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a2bcc0c3d992719b29f3f12528d81900b">get_children</a>(vector&lt; IdType &gt; &amp;vectChildren)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#a020a35d8d33cf7164b7e40c682915d61">get_edge</a>(ID_TYPE target)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#ad8b430cc4ba7c354e49753a648a9664c">get_end_out_edge_iterator</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#a64fb1198fff6fe1044b77c3605acf876">get_num_out_edges</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a9d84fcd90980e82113bb99f1635b5921">get_out_edge_iterator</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#af5d0a19bade61bb0cb3a221f22286a8d">get_value</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a1b4a6dabec3f6b9251490194ef977f45">getAlgData</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#acf41c6b7e523f7b09d1794b4e50161fc">getId</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#aab1579d784f577a894b15a5f24458911">getNumDifferentNbr</a>()</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#acc60a3d4a79194de386251640bc8304c">id</a></td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexP.html#ad9caab616ae90c7f0c6af36953f3f441">init</a>(INIT_TYPE *initParams, LOCAL_MESSAGE_BUF *pOut)</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#a54c31bf57dbd684e6f42fbf66283a87e">isActive</a>()</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexP.html#aa581f96dfa435abd1af0c0736e3c6d4a">isActiveWithNoMessage</a>()</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#a5fcc3ceabc778b7cbb3fdf0791be1403">isConnected</a>(IdType node)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#ae937679f3315f6494e0d21692d753939">outEdges</a></td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#a4396136748432ddfd81318044b419010">reactivateFlag</a></td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#a8fbad4bba036f22d32b8981490bc7479">remove_edge</a>(IdType &amp;target)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classvertex.html#acc18610f997b882cc447871819f3a7f0">vertex</a>(IdType key)</td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classvertex.html#ad7d3f791514c0c4fafbe2f8f671ffae8">vertexData</a></td><td class="entry"><a class="el" href="classvertex.html">vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexP.html#a073ad0f9e1d21754499bde31ad5b4e8f">VertexP</a>(IdType key, bool noMessageFlag=false, bool inFlagReactivate=true)</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexP.html#ab7bc73775db8b49faad7f1f1941febda">vote_to_halt</a>()</td><td class="entry"><a class="el" href="classVertexP.html">VertexP&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 14 2014 14:29:26 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
